Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 435022 - =dev-java/netbeans-websvccommon-8.0.2 - .../work/websvc.saas.api/build.xml:72: java.lang.IllegalArgumentException: Illegal pattern character 'g'
Summary: =dev-java/netbeans-websvccommon-8.0.2 - .../work/websvc.saas.api/build.xml:72...
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Java (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Miroslav Šulc
URL:
Whiteboard:
Keywords:
Depends on: 538862
Blocks:
  Show dependency tree
 
Reported: 2012-09-14 13:39 UTC by Vasco Gervasi
Modified: 2019-08-15 06:53 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,19.88 KB, text/plain)
2012-09-14 13:39 UTC, Vasco Gervasi
Details
emerge --info (emergeinfo,16.52 KB, text/plain)
2012-09-14 13:40 UTC, Vasco Gervasi
Details
Build log for 7.3 (netbeans-websvccommon-7.3-build.log,8.63 KB, text/x-log)
2013-07-02 22:09 UTC, Matteo Modesti
Details
emerge --info for 7.3 (netbeans-websvccommon-7.3-emerge-info.log,6.50 KB, text/x-log)
2013-07-02 22:09 UTC, Matteo Modesti
Details
Compilation fails even for 8.0.2 (netbeans-websvccommon-8.0.2_build.log,42.60 KB, text/plain)
2015-05-21 15:54 UTC, Matteo Modesti
Details
grep SimpleDateFormat in "work" directory (netbeans-websvccommon-8.0.2_grep_SDF.txt,63.29 KB, text/plain)
2015-05-21 16:22 UTC, Matteo Modesti
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vasco Gervasi 2012-09-14 13:39:01 UTC
Hi all,
I am trying to install netbeans so one of the package that should be installed is netbeans-websvccommon, but I am getting this error:

     [echo] java.version=1.6.0_24, ant.version=Apache Ant(TM) version 1.8.4 compiled on August 13 2012
      [xjc] /tmp/portage/dev-java/netbeans-websvccommon-7.2/work/websvc.saas.api/src/org/netbeans/modules/websvc/saas/model/jaxb is not found and thus excluded from the dependency check
      [xjc] Compiling file:/tmp/portage/dev-java/netbeans-websvccommon-7.2/work/websvc.saas.api/src/org/netbeans/modules/websvc/saas/model/SaasServices.xsd
      [xjc] Writing output to /tmp/portage/dev-java/netbeans-websvccommon-7.2/work/websvc.saas.api/src
      [xjc] classLoader = java.net.URLClassLoader@6f87c74
      [xjc] SharedSecrets.getJavaNetAccess()=java.net.URLClassLoader$7@35988e16
  [nbmerge] Failed to build target: all-websvc.saas.api
Comment 1 Vasco Gervasi 2012-09-14 13:39:19 UTC
Created attachment 323758 [details]
build.log
Comment 2 Vasco Gervasi 2012-09-14 13:40:29 UTC
Created attachment 323760 [details]
emerge --info
Comment 3 Vasco Gervasi 2012-09-14 13:41:40 UTC
An off topic: why is it using icedtea6-bin instead of icedtea7?
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2012-09-16 15:39:31 UTC
(In reply to comment #3)
> An off topic: why is it using icedtea6-bin instead of icedtea7?

It depends on virtual/jdk:1.6.
Comment 5 Vasco Gervasi 2012-09-16 16:08:05 UTC
Any ideas about the bug?
Comment 6 Miroslav Šulc gentoo-dev 2012-09-16 19:29:21 UTC
can you try to build netbeans using icedtea-bin-7 or icedtea-7 or oracle-jdk-bin-1.7?
Comment 7 Vasco Gervasi 2012-09-16 19:30:16 UTC
How can I do that?
I have installed icedtea7, but it uses icedtea6-bin
Comment 8 Miroslav Šulc gentoo-dev 2012-09-16 20:05:37 UTC
well, i just noticed that it will complain about wrong jdk version so instead use sun-jdk-1.6:

JAVA_PKG_FORCE_VM="icedtea-bin-7" emerge -va1 netbeans-websvccommon
Comment 9 Vasco Gervasi 2012-09-16 20:35:33 UTC
I have installed sun-jdk, simply:

- emerge -Ca icedtea-bin
- emerge -1a sun-jdk

But same error
Comment 10 Vasco Gervasi 2012-09-16 20:53:20 UTC
Using:
JAVA_PKG_FORCE_VM="icedtea-bin-7" emerge -va1 netbeans-websvccommon

Gives me this error:
/tmp/portage/dev-java/netbeans-websvccommon-7.2/work/nbbuild/build.xml:1189: The following error occurred while executing this line:
/tmp/portage/dev-java/netbeans-websvccommon-7.2/work/nbbuild/build.xml:462: The following error occurred while executing this line:
/tmp/portage/dev-java/netbeans-websvccommon-7.2/work/nbbuild/templates/projectized.xml:96: You are attempting to build NetBeans using JDK 7 (or higher).
This is forbidden as it may lead to accidental usage of JDK 7+ APIs.
Either run Ant with JDK 6, or set nbjdk.home=<JDK 6 home> in /tmp/portage/dev-java/netbeans-websvccommon-7.2/work/nbbuild/user.build.properties
(can be set from IDE by opening a module project's Properties dialog and picking the right Java Platform in Libraries).
You can alternatively set this property in /root/.nbbuild.properties to affect all checkouts on this machine.
If you are sure you want to build with JDK 7+ anyway, use: -Dpermit.jdk7.builds=true
Comment 11 Miroslav Šulc gentoo-dev 2012-09-17 09:30:46 UTC
sorry, should be:

JAVA_PKG_FORCE_VM="sun-jdk-1.6" emerge -va1 netbeans-websvccommon
Comment 12 Vasco Gervasi 2012-09-17 09:42:27 UTC
Same error.
Should I run something after "emerge sun-jdk"?
Comment 13 Miroslav Šulc gentoo-dev 2012-09-17 09:48:54 UTC
did you check it really uses sun-jdk-1.6?
Comment 14 Vasco Gervasi 2012-09-17 10:40:09 UTC
eselect java-vm list
Available Java Virtual Machines:
  [1]   icedtea-bin-7  system-vm
  [2]   sun-jdk-1.6 

java-config -L
The following VMs are available for generation-2:
*)	IcedTea JDK 7.2.3.2 [icedtea-bin-7]
2)	Sun JDK 1.6.0.35 [sun-jdk-1.6]

From build.log:

java.version=1.6.0_35, ant.version=Apache Ant(TM) version 1.8.4 compiled on August 13 2012

So I think that it uses sun-jdk-1,6
Comment 15 Miroslav Šulc gentoo-dev 2012-09-19 09:45:40 UTC
maybe you could try the latest version (slot 9999) of netbeans from my git repo. it also allows to compile netbeans using jdk 7. you can get the repo via layman.
Comment 16 Vasco Gervasi 2012-09-19 09:51:44 UTC
fordfrog overlay?
Comment 17 Vasco Gervasi 2012-09-19 10:20:19 UTC
Using that overlay:

- simply emerging dev-java/netbeans-websvccommon-9999_p20120918 it uses sun-jdk-1.6: same error

- JAVA_PKG_FORCE_VM="icedtea-bin-7" emerge -va1 netbeans-websvccommon: same error

model-gen:
     [echo] java.version=1.7.0_07, ant.version=Apache Ant(TM) version 1.8.4 compiled on August 13 2012
      [xjc] /tmp/portage/dev-java/netbeans-websvccommon-9999_p20120918/work/websvc.saas.api/src/org/netbeans/modules/websvc/saas/model/jaxb is not found and thus excluded from the dependency check
      [xjc] Compiling file:/tmp/portage/dev-java/netbeans-websvccommon-9999_p20120918/work/websvc.saas.api/src/org/netbeans/modules/websvc/saas/model/SaasServices.xsd
      [xjc] Writing output to /tmp/portage/dev-java/netbeans-websvccommon-9999_p20120918/work/websvc.saas.api/src
  [nbmerge] Failed to build target: all-websvc.saas.api

BUILD FAILED
/tmp/portage/dev-java/netbeans-websvccommon-9999_p20120918/work/nbbuild/build.xml:1189: The following error occurred while executing this line:
/tmp/portage/dev-java/netbeans-websvccommon-9999_p20120918/work/nbbuild/build.xml:462: The following error occurred while executing this line:
/tmp/portage/dev-java/netbeans-websvccommon-9999_p20120918/work/websvc.saas.api/build.xml:73: java.lang.IllegalArgumentException: Illegal pattern character 'g'
Comment 18 Vasco Gervasi 2012-09-27 21:49:07 UTC
I found that this error can be releated to jaxb according this http://java.net/jira/browse/JAXB-915?page=com.atlassian.streams.streams-jira-plugin%3Aactivity-stream-issue-tab

Any ideas?
Comment 19 Vasco Gervasi 2012-09-27 22:14:17 UTC
Another thing taht can be important when I run the emerge:

>>> Verifying ebuild manifests
>>> Running pre-merge checks for dev-java/netbeans-java-7.2
find: `/usr/share/netbeans-java-7.2/ant': File o directory non esistente
>>> Starting parallel fetch
>>> Emerging (1 of 12) dev-java/netbeans-websvccommon-7.2
>>> Jobs: 0 of 12 complete, 1 running               Load avg: 0.90, 0.73, 0.46
Comment 20 Vasco Gervasi 2012-09-27 22:16:36 UTC
Changing Linguas from it to en same problem.
Comment 21 Miroslav Šulc gentoo-dev 2012-12-06 11:38:41 UTC
yellowhat, still having the issue?
Comment 22 Vasco Gervasi 2012-12-06 17:32:46 UTC
I do not use netbeans at the moment.
Comment 23 Miroslav Šulc gentoo-dev 2012-12-06 17:38:01 UTC
ok. as nobody else reported this issue, i will close this issue with needinfo and you can reopen it later if needed. thanks.
Comment 24 Matteo Modesti 2013-07-02 22:08:32 UTC
Please reopen this bug, 'cause I have the same exact problem with both 7.2 (since it became stable) and 7.3 so I'm stuck with 7.1.2.

Just to be sure, I already tried MAKEOPTS="-j1" with both 7.2 and 7.3 but nothing changed.
I read the comments so I'll try at least some of the things written there and let you know. Right now I'm using icedtea-bin-6.

To gain some time, I'm attaching build.log and emerge --info for 7.3.

Thanks in advance!
Comment 25 Matteo Modesti 2013-07-02 22:09:06 UTC
Created attachment 352474 [details]
Build log for 7.3
Comment 26 Matteo Modesti 2013-07-02 22:09:28 UTC
Created attachment 352476 [details]
emerge --info for 7.3
Comment 27 Matteo Modesti 2013-07-03 16:17:35 UTC
I tried emerging icedtea-bin-7, eselect-ing it and using JAVA_PKG_FORCE_VM="icedtea-bin-7", but nothing changed.

I then found this forum thread
https://forums.gentoo.org/viewtopic-t-942706.html
which suggested using LC_ALL="en_US.utf8": I tried it and it worked!

This is obviously a workaround, but it could be a starting point to fix the problem.

Thanks in advance!
Comment 28 Miroslav Šulc gentoo-dev 2013-10-16 10:02:07 UTC
does this problem still occur with the latest portage?
Comment 29 Patrice Clement gentoo-dev 2015-05-21 15:10:40 UTC
This package is no more. Consider using =dev-util/netbeans-8.0.2.
Comment 30 Matteo Modesti 2015-05-21 15:54:16 UTC
Created attachment 403730 [details]
Compilation fails even for 8.0.2

Please reopen this bug since the compilation problem is still present in 8.0.2 (see attachment).
Comment 31 Patrice Clement gentoo-dev 2015-05-21 16:09:05 UTC
Indeed. :[

This error is very trivial to fix btw. Somewhere in the code, an instance of the SimpleDateFormat class has been declared with a wrong list of values (this class is usually used for readily formatting dates) and hence, javac chokes on it.

I don't have netbeans-websvccommon-8.0.2 sources handy. Could you grep for the string 'SimpleDateFormat' in /var/tmp/portage/dev-java/netbeans-websvccommon-8.0.2/work/?

Run this: 

# grep -iR --color=always 'SimpleDateFormat' /var/tmp/portage/dev-java/netbeans-websvccommon-8.0.2/work/*

and show me the output.
Comment 32 Matteo Modesti 2015-05-21 16:22:49 UTC
Created attachment 403734 [details]
grep SimpleDateFormat in "work" directory

Here's the grep output you asked for.

I saw you changed the report summary: note that in 8.0.2 compilation fails at build.xml:73, not line 72. I don't know if it's a generated file hence different for every system, but could be worth mentioning.
Comment 33 Patrice Clement gentoo-dev 2015-05-22 09:53:18 UTC
Apparently, this a known issue upstream. See this bug:

https://netbeans.org/bugzilla/show_bug.cgi?id=251566

Apparently, the bundled version of JAXB in NetBeans causes this snag. We should look into unbundling it.
Comment 34 Patrice Clement gentoo-dev 2015-05-22 09:54:31 UTC
This bug is also worth a read:

https://netbeans.org/bugzilla/show_bug.cgi?id=216575
Comment 35 Patrice Clement gentoo-dev 2015-05-22 13:15:49 UTC
Before undertaking any action, I've asked NetBeans developers for help. 

https://netbeans.org/bugzilla/show_bug.cgi?id=251566#c4

Let's wait and see..
Comment 36 Patrice Clement gentoo-dev 2015-06-16 15:04:37 UTC
Quoted from https://netbeans.org/bugzilla/show_bug.cgi?id=251566#c6:

"Legal administrativia should be already under way.

In the meantime, if you can apply source patches to upstream sources, use https://java.net/jira/secure/attachment/51015/italian-patch.patch"

There's also another workaround:

"As a quick help, set your language to en ("-J-Duser.language=en" to netbeans_default_options in netbeans.conf)"
Comment 37 Miroslav Šulc gentoo-dev 2015-06-17 10:49:01 UTC
# ChangeLog for dev-java/netbeans-websvccommon
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/dev-java/netbeans-websvccommon/ChangeLog,v 1.27 2015/06/17 10:48:09 fordfrog Exp $

  17 Jun 2015; Miroslav Šulc <fordfrog@gentoo.org>
  netbeans-websvccommon-8.0.2.ebuild, +files/italian-patch.patch:
  fixed bug #435022


thanks for finding cause of the issue and the fix
Comment 38 axxackall 2015-07-06 17:30:15 UTC
 * Applying netbeans-8.0.2-build.xml.patch ...                                                                                                                   [ ok ]
 * Applying italian-patch.patch ...

 * Failed Patch: italian-patch.patch !
 *  ( /usr/portage/dev-java/netbeans-websvccommon/files/italian-patch.patch )
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/calculate/tmp/portage/dev-java/netbeans-websvccommon-8.0.2/temp/italian-patch.patch.out

 * ERROR: dev-java/netbeans-websvccommon-8.0.2::gentoo failed (prepare phase):
 *   Failed Patch: italian-patch.patch!
 * 
 * Call stack:
 *     ebuild.sh, line   93:  Called src_prepare
 *   environment, line 3970:  Called epatch '/usr/portage/dev-java/netbeans-websvccommon/files/italian-patch.patch'
 *   environment, line  950:  Called die
 * The specific snippet of code:
 *               die "Failed Patch: ${patchname}!";
 *
Comment 39 Zac Medico gentoo-dev 2015-07-07 21:08:01 UTC
According to bug 553898, comment #7, the patch really needs to be applied to jaxb-xjc.jar installed by netbeans.
Comment 40 Miroslav Šulc gentoo-dev 2015-09-03 14:26:07 UTC
(In reply to Zac Medico from comment #39)
> According to bug 553898, comment #7, the patch really needs to be applied to
> jaxb-xjc.jar installed by netbeans.

that's true. but as they provide just the jar and not the sources (afaik), there's nothing i can do about it. if i'm not right, just anybody let me know how it could be solved.
Comment 41 Miroslav Šulc gentoo-dev 2019-08-15 06:53:30 UTC
it's obsolete now as netbeans is being removed from the main tree. if you need netbeans, see bug #685782.